Featured Categories

  • Tools & Machining
  • Shipping, Packaging & Office Supplies
  • Plumbing
  • Safety

Shop Categories

  • Abrasives & Polishers
  • Adhesives & Tapes
  • Electrical Supplies
  • Electronics
  • Fasteners
  • Food Service & Restaurant Supplies
  • Furniture, Linens & Decor
  • Grounds & Outdoor
  • Hardware & Building Materials
  • Heating & Cooling
  • Janitorial & Cleaning Supplies
  • Lab Equipment & Supplies
  • Lighting
  • Material Handling
  • Medical & Personal Care
  • Paint, Coatings & Supplies
  • Plumbing
  • Power Transmission
  • Pumps
  • Raw Materials
  • Safety
  • Shipping, Packaging & Office Supplies
  • Storage & Workspace
  • Test Instruments & Gauges
  • Tools & Machining
  • Vehicle Maintenance
  • Welding, Soldering & Brazing
  • About Us
  • Deals
  • Contact Us
Added to Cart
Skip to Main Content Accessibility Statement
FREE SHIPPING on orders over $50 after you . Restrictions Apply
Zoro home
Clipboard Icon Clipboard Icon Quick Order
User Headset Icon User Headset Icon Support
0
0
Cart
  • Low prices on everyday needs. Shop Zoro Select
  • Don't miss these limited time offers. Shop All Deals
  • Get 30 days to pay with Net 30. Apply Now
  1. Home
  2. /
  3. Safety
  4. /
  5. Facility & Worksite Safety
  6. /
  7. Fire Protection
  8. /
  9. Fire Hose Accessories

Fire Hose Accessories (841 items) - Page 19

Dixon Pin Lug Hydrant Adapter, 1-1/2 x 1 in Nominal, Female NH NST x Male NH NST End Style, Brass, Domesti HA1510F
Dixon

Pin Lug Hydrant Adapter, 1-1/2 x 1 in Nominal, Female NH NST x Male NH NST End Style, Brass, Domesti

Zoro # G909543971
Mfr # HA1510F
product price: 
$44.55
/ea
Dixon Rocker Lug Plug, 2-1/2 in Nominal, Male NST NH End Style, Brass, Domestic RFP250F
Dixon

Rocker Lug Plug, 2-1/2 in Nominal, Male NST NH End Style, Brass, Domestic

Zoro # G909238143
Mfr # RFP250F
product price: 
$134.99
/ea
Dixon Pin Lug Hydrant Adapter, 1-1/2 in, FNPSH x MNPT, Brass, Domestic HA15S15T
Dixon

Pin Lug Hydrant Adapter, 1-1/2 in, FNPSH x MNPT, Brass, Domestic

Zoro # G309254033
Mfr # HA15S15T
product price: 
$46.59
/ea
Dixon Double Jacket Fire Hose, 1-1/2 in, NST NH, 25 ft L, 360 psi Working, Polyester, Domestic D815-25RAF
Dixon

Double Jacket Fire Hose, 1-1/2 in, NST NH, 25 ft L, 360 psi Working, Polyester, Domestic

Zoro # G009001975
Mfr # D815-25RAF
product price: 
$227.99
/ea
Dixon The Right Connection Angle And Suction Elbow, 2-1/2 in, MNST x FNST, Aluminum, Domestic N5490-25F25F
Dixon

The Right Connection Angle And Suction Elbow, 2-1/2 in, MNST x FNST, Aluminum, Domestic

Zoro # G910388776
Mfr # N5490-25F25F
product price: 
$189.99
/ea
Moon American Fire Hose Reel Cover - 26 In. X 7-1/2 In. - Red Vinyl 138-2
Moon American

Fire Hose Reel Cover - 26 In. X 7-1/2 In. - Red Vinyl

Zoro # G504940243
Mfr # 138-2
product price: 
$97.19
/ea
Dixon Rocker Lug Cap, 3/4 in, FNPSH, Brass, Domestic RFC075
Dixon

Rocker Lug Cap, 3/4 in, FNPSH, Brass, Domestic

Zoro # G309243860
Mfr # RFC075
product price: 
$47.59
/ea
Dixon The Right Connection Reducer Rocker Lug Hydrant Adapter, 1-1/2 in, FNPSH x MNST, Polycarbonate, Dome POLYHA15S15F
Dixon

The Right Connection Reducer Rocker Lug Hydrant Adapter, 1-1/2 in, FNPSH x MNST, Polycarbonate, Dome

Zoro # G109207475
Mfr # POLYHA15S15F
product price: 
$14.99
/ea
Dixon Style N54 Rocker Lug Adapter, 2-1/2 in, MNPT x Female NST NH Swivel N54-25F25T
Dixon

Style N54 Rocker Lug Adapter, 2-1/2 in, MNPT x Female NST NH Swivel

Zoro # G709238008
Mfr # N54-25F25T
product price: 
$116.99
/ea
Dixon Single Jacket Mill Hose, 2-1/2 in, NST NH, 25 ft L, 50 psi, Synthetic, Domestic M25-25KAF
Dixon

Single Jacket Mill Hose, 2-1/2 in, NST NH, 25 ft L, 50 psi, Synthetic, Domestic

Zoro # G009441313
Mfr # M25-25KAF
product price: 
$181.99
/ea
Dixon International Ship Side Connection, NST End Style, Domestic 09-319-00001
Dixon

International Ship Side Connection, NST End Style, Domestic

Zoro # G610375618
Mfr # 09-319-00001
product price: 
$337.99
/ea
Dixon Double Jacket Fire Hose, 2-1/2 in, NST NH, 25 ft L, 360 psi Working, Polyester, Domestic D825-25RAF
Dixon

Double Jacket Fire Hose, 2-1/2 in, NST NH, 25 ft L, 360 psi Working, Polyester, Domestic

Zoro # G309207411
Mfr # D825-25RAF
product price: 
$383.99
/ea
Dixon The Right Connection 17-176 Rocker Lug Cap with Chain, 2 in Nominal, FNPSH End Style, Cast Brass, Do RFC200
Dixon

The Right Connection 17-176 Rocker Lug Cap with Chain, 2 in Nominal, FNPSH End Style, Cast Brass, Do

Zoro # G109243763
Mfr # RFC200
product price: 
$86.35
/ea
Dixon Style N36 Double Male Rocker Lug Adapter, 2-1/2 x 3 in, Male NST NH N36-25F30F
Dixon

Style N36 Double Male Rocker Lug Adapter, 2-1/2 x 3 in, Male NST NH

Zoro # G309243853
Mfr # N36-25F30F
product price: 
$66.45
/ea
Dixon Lightweight Nozzle Tip, 1-1/2 in NST NH, Aluminum ANT150F
Dixon

Lightweight Nozzle Tip, 1-1/2 in NST NH, Aluminum

Zoro # G109208175
Mfr # ANT150F
product price: 
$214.99
/ea
Dixon Fire Cap with Chain, 2 in, FNPSH, Polycarbonate, Domestic PFCW200
Dixon

Fire Cap with Chain, 2 in, FNPSH, Polycarbonate, Domestic

Zoro # G709587304
Mfr # PFCW200
product price: 
$22.35
/ea
Dixon The Right Connection Reducer Rocker Lug Hydrant Adapter, 2-1/2 x 1-1/2 in, FNST x MNST, Polycarbonat POLYHA2515F
Dixon

The Right Connection Reducer Rocker Lug Hydrant Adapter, 2-1/2 x 1-1/2 in, FNST x MNST, Polycarbonat

Zoro # G909215670
Mfr # POLYHA2515F
product price: 
$21.85
/ea
Dixon The Right Connection 17-126 Domestic Pin Lug Cap with Chain, 1-1/2-9, FNST, Cast Brass, Domestic FC150F-D
Dixon

The Right Connection 17-126 Domestic Pin Lug Cap with Chain, 1-1/2-9, FNST, Cast Brass, Domestic

Zoro # G309956845
Mfr # FC150F-D
product price: 
$66.69
/ea
Dixon Style N54 Rocker Lug Adapter, 2-1/2 x 2 in, Female NST NH Swivel x MNPT N54-25F20T
Dixon

Style N54 Rocker Lug Adapter, 2-1/2 x 2 in, Female NST NH Swivel x MNPT

Zoro # G509091339
Mfr # N54-25F20T
product price: 
$149.99
/ea
Dixon Rocker Lug Hydrant Adapter, 2-1/2 x 1 in, Female NST NH x MNPSH, Brass, Domestic RHA2510
Dixon

Rocker Lug Hydrant Adapter, 2-1/2 x 1 in, Female NST NH x MNPSH, Brass, Domestic

Zoro # G009190679
Mfr # RHA2510
product price: 
$53.55
/ea
Dixon Rocker Lug Adapter, 4 x 2-1/2 in, Female NST x Male NST, Aluminum N37-40F25F
Dixon

Rocker Lug Adapter, 4 x 2-1/2 in, Female NST x Male NST, Aluminum

Zoro # G609207968
Mfr # N37-40F25F
product price: 
$178.99
/ea
Dixon The Right Connection Domestic Reducer Pin Lug Hydrant Adapter, 2-1/2 x 3/4 in, FNST x MGHT, Cast Bra HA2576-D
Dixon

The Right Connection Domestic Reducer Pin Lug Hydrant Adapter, 2-1/2 x 3/4 in, FNST x MGHT, Cast Bra

Zoro # G209544050
Mfr # HA2576-D
product price: 
$137.99
/ea
Dixon Rocker Lug Hydrant Adapter, 2-1/2 x 2 in, Female NST NH x MNPT, Brass, Domestic RHA2520T
Dixon

Rocker Lug Hydrant Adapter, 2-1/2 x 2 in, Female NST NH x MNPT, Brass, Domestic

Zoro # G309228638
Mfr # RHA2520T
product price: 
$58.69
/ea
Dixon Rocker Lug Hydrant Adapter, 1-1/2 in, FNPSH x Male NH NST, Brass, Domestic RHA15S15F
Dixon

Rocker Lug Hydrant Adapter, 1-1/2 in, FNPSH x Male NH NST, Brass, Domestic

Zoro # G109171936
Mfr # RHA15S15F
product price: 
$57.99
/ea
Dixon The Right Connection Reducer Rocker Lug Hydrant Adapter, 1-1/2 x 3/4 in, FNPSH x MNPT, Cast Brass, D RHA15S75T
Dixon

The Right Connection Reducer Rocker Lug Hydrant Adapter, 1-1/2 x 3/4 in, FNPSH x MNPT, Cast Brass, D

Zoro # G209243830
Mfr # RHA15S75T
product price: 
$79.85
/ea
Dixon The Right Connection Pin Lug Plug with Chain, 4 in Nominal, MNST End Style, Cast Brass, Domestic FP400F
Dixon

The Right Connection Pin Lug Plug with Chain, 4 in Nominal, MNST End Style, Cast Brass, Domestic

Zoro # G610376141
Mfr # FP400F
product price: 
$197.99
/ea
Dixon Rocker Lug Hydrant Adapter, 1-1/2 x 1 in Nominal, Female NH NST x Male NH NST End Style, Brass, Dome RHA1510F
Dixon

Rocker Lug Hydrant Adapter, 1-1/2 x 1 in Nominal, Female NH NST x Male NH NST End Style, Brass, Dome

Zoro # G409232511
Mfr # RHA1510F
product price: 
$49.69
/ea
Dixon Rocker Lug Female Adapter with Buna-N Gasket, 2 in, Storz x FNPT Rigid, 70DegF FSA2020T
Dixon

Rocker Lug Female Adapter with Buna-N Gasket, 2 in, Storz x FNPT Rigid, 70DegF

Zoro # G109243848
Mfr # FSA2020T
product price: 
$147.99
/ea
Dixon Rocker Lug Cap, 1 in, FNPSH, Brass, Domestic RFC100
Dixon

Rocker Lug Cap, 1 in, FNPSH, Brass, Domestic

Zoro # G209243861
Mfr # RFC100
product price: 
$58.69
/ea
Dixon Single Jacket Mill Hose, 2-1/2 in, NST NH, 25 ft L, 112 psi, Synthetic, Domestic M25-25RAF
Dixon

Single Jacket Mill Hose, 2-1/2 in, NST NH, 25 ft L, 112 psi, Synthetic, Domestic

Zoro # G909921779
Mfr # M25-25RAF
product price: 
$209.99
/ea
Dixon The Right Connection Reducer Pin Lug Hydrant Adapter, 2-1/2 x 1-1/2 in, FNYFD x MNPSH, Cast Brass, D HA25NYFD15S
Dixon

The Right Connection Reducer Pin Lug Hydrant Adapter, 2-1/2 x 1-1/2 in, FNYFD x MNPSH, Cast Brass, D

Zoro # G210190659
Mfr # HA25NYFD15S
product price: 
$50.45
/ea
Dixon Single Jacket Mill Hose, 1-1/2 in, NST NH, 25 ft L, 75 psi, Synthetic, Domestic M15-25KAF
Dixon

Single Jacket Mill Hose, 1-1/2 in, NST NH, 25 ft L, 75 psi, Synthetic, Domestic

Zoro # G909935691
Mfr # M15-25KAF
product price: 
$111.99
/ea
Dixon 1-1/2 NST RED POLY NOZZLE, UL/FM STRT GPFN150NST
Dixon

1-1/2 NST RED POLY NOZZLE, UL/FM STRT

Zoro # G608852039
Mfr # GPFN150NST
product price: 
$38.29
/ea
Dixon Rocker Lug Hydrant Adapter, 2-1/2 x 1 in Nominal, Female NH NST x Male NH NST End Style, Brass, Dome RHA2510F
Dixon

Rocker Lug Hydrant Adapter, 2-1/2 x 1 in Nominal, Female NH NST x Male NH NST End Style, Brass, Dome

Zoro # G409243883
Mfr # RHA2510F
product price: 
$54.69
/ea
Moon American Fire Hose Female/Male Hose Bushing - 2 In. NPT Female X 2-1/2 In. NH Male - Brass 356-2062521
Moon American

Fire Hose Female/Male Hose Bushing - 2 In. NPT Female X 2-1/2 In. NH Male - Brass

Zoro # G804944965
Mfr # 356-2062521
product price: 
$138.99
/ea
Dixon Rocker Lug Cap with Coated Aircraft Cable, 1 in, Female NST NH CAP100F-C
Dixon

Rocker Lug Cap with Coated Aircraft Cable, 1 in, Female NST NH

Zoro # G509243738
Mfr # CAP100F-C
product price: 
$63.19
/ea
Fire Hose Accessories (841 items) - Page 19
  • First
  • Previous
  • 19
    of 24 pages
  • Next
  • Last
How was your search?

About Fire Hose Accessories

A fire hose must be supported by fire hose accessories such as heavy duty hose reels, pin rack assemblies, fire hose nozzles and more. As with most fire safety products such as fire barriers, fire extinguishers and escape ladders, products may differ by compliance standards, among other considerations .

Related Categories

Fire Hose NozzlesHydrant AdaptersFire HosesFire ExtinguishersTraffic Barricades
Eyewash and Shower Parts and AccessoriesFlags, Flares, Paddles, and TrianglesLockout PadlocksSpill Control Kits and StationsBarrier, Flagging and Underground Tapes
reed hydrant wrenchfire hose fittingreel coverfirehose fittings2 in hex nipple
1 in fire hose adapterhydrant fittingsreed valve wrenchfire hose 25ftred fire hose

Sign up and save

Take 10% off your next order when you sign up for Zoro emails. Subscribe now to receive your promo code via email.

Follow us

  • Facebook
  • YouTube
  • LinkedIn
  • Instagram
Every part plays a part

Information

  • About Us
  • Accessibility
  • Careers
  • Inclusion
  • Giving Back
  • Resource Hub
  • Returns
  • Shipping

Shopping

  • Brands
  • Collections
  • My Account
  • Payments
  • Deals
  • Sitemap
  • Track My Order

Services

  • Customer Service
  • FAQs
  • Net 30 Terms
  • Reseller Program
  • Sell on Zoro
  • Participate in Research
  • Tax Exemption

Zoro home

Connect

Customer service from real people

  • Phone: (855) 289-9676
  • Contact Us

© 2011-2026 Zoro Tools, Inc. All rights reserved.
  • Terms & Conditions
  • Terms of Access
  • Privacy Policy
Zoro home